import { Resource } from "../../common";
import { APIOpenTargetGene, StoreOpenTargetGene, StoreSnpWithScore } from "./interfaces";
export declare class OpenTargetGene extends Resource {
    slug: string;
    description: string;
    legacyDescription: string;
    snps: StoreSnpWithScore[];
    constructor(slug: string, description: string, legacyDescription: string, snps: StoreSnpWithScore[]);
    static get resourceName(): string;
    static get serviceName(): string;
    serializeAPI(): APIOpenTargetGene;
    deserializeAPI(data: APIOpenTargetGene): void;
    serializeRedux(): StoreOpenTargetGene;
    static apiFactory(data: APIOpenTargetGene): OpenTargetGene;
    static reduxFactory(data: StoreOpenTargetGene): OpenTargetGene;
}
